function listEvents(){
		
    var events = [];
		
    if ((bwObject.bwEventList != undefined) &&
        (bwObject.bwEventList.events != undefined) &&
        (bwObject.bwEventList.events.length > 0)) {
        // get events
        for (i = 0; i < bwObject.bwEventList.events.length; i++) {
            var event = bwObject.bwEventList.events[i];
	    if (event !=null){
		var startStr = event.start;
		var     start = jQuery.fullCalendar.parseISO8601(event.start + '.000Z', true),
		end = jQuery.fullCalendar.parseISO8601(event.end + '.000Z', true),
		allDay = startStr.indexOf('T00:00:00') != -1;
		
		if (allDay) {
		    jQuery.fullCalendar.addDays(end, -1); // make inclusive
		}
						    
		events.push({
		    id: event.guid,
		    title: event.summary,
		    start: start,
		    end: end,
		    allDay: allDay,
		    location: event.location,
		    description: event.description,
		    href: event.url
		});
	    }
        }
    }
    return events;
}

function getLanguage(){
    return 'en';
}
	
	

jQuery(document).ready(function() {

    jQuery('#calendar').fullCalendar({
			
        header: {
            left: 'prev,next today',
            center: 'title',
            right: 'month,agendaWeek,agendaDay'
        },
        axisFormat: 'H:mm',

        allDayText:'jour entier',
        monthNames:['Janvier','F\351vrier','Mars','Avril','Mai','Juin','Juillet','Ao\373t','Septembre','Octobre','Novembre','D\351cembre'],
        monthNamesShort:['janv.','f\351vr.','mars','avr.','mai','juin','juil.','ao\373t','sept.','oct.','nov.','d\351c.'],
        dayNames: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],
        dayNamesShort: ['Dim','Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
        titleFormat: {
            month: 'MMMM yyyy', // ex : Janvier 2010
            week: "d[ MMMM][ yyyy]{ - d MMMM yyyy}" // ex : 10 - 16 Janvier 2010,
        },
        columnFormat: {
            month: 'ddd', // Ven.
            week: 'ddd d', // Ven. 15
            day: '' // affichage d�ja complet au niveau du 'titleFormat'
        },
        timeFormat: {
            '': 'H:mm', // �v�nements vue mensuelle.
            agenda: 'H:mm{ - H:mm}' // �v�nements vue agenda
        },
        firstDay:1, // Lundi premier jour de la semaine

        buttonText: {
            today: 'aujourd\'hui',
            day: 'jour',
            week:'semaine',
            month:'mois'
        },



        theme:true,
       
        // unil
        events: listEvents(),

        eventRender: function(event, element) {
            element.qtip({
                content: {
                    text: '<b>Date: </b>' + jQuery.fullCalendar.formatDate(event.start,'dd.MM.yyyy HH.mm') + '-' + jQuery.fullCalendar.formatDate(event.end,'HH.mm') + '<br/><br/>' +
                    '<b>Description:</b>' + event.description + '<br/>' +
                    '<b>Lieu:</b>' + event.location + '<br/><br/>' +
                    '<a href="' + event.href + '">Ajouter \340 mon agenda</a>' + '<br/>',
                    title: {
                        text: event.title,
                        button: ' [x]' // can put an <img /> tag or any other valid HTML in here. Clicking it closes the tooltip.
                    }
                },
                position: {
                    corner: {
                        tooltip: 'bottomLeft', // Display at the top right hand corner like Google Calendar
                        target: 'topRight'
                    },
                    adjust: {
                        screen: false // Keep the tooltip within the viewport at all times
                    }
                },
                show: 'click',
                hide: 'click', // Close the tooltip when it loses focus e.g. anywhere except the tooltip is clicked
                style: {
                    background: 'white',
                    border: {
                        color: '#2E6E9E', // Grey style border
                        radius: 1 // Give it some rounded corners (Note 1px rounded borders aren't supported at the moment)

                    },
					width: {
						min: 250,
						max: 250
					},
					
                    tip: true // Give it a speech bubble tip (corner is automatically detected)
                }
            });
        }
    });
});
